# Vorzeichenlose 32-Bit-Division
# r7=Bitzähler, r0=Dividend, r1=Divisor
# r3=Quotient, r4=Rest
    movs   r3,0      @ Quotient löschen
    movs   r4,0      @ Rest löschen
    movs   r5,1      @ Konstante 1
    movs   r6,0      @ Konstante 0
    movs   r7,32     @ Bitzähler
div_loop:
    lsls   r3,1      @ Quotient schieben
    lsls   r4,1      @ Rest schieben
    lsls   r0,1      @ oberstes Dividendenbit in C-Flag
    adcs   r4,r6     @ Dividendenbit in Rest
    cmp    r4,r1     @ Rest mit Divisor vergleichen
    bcc    dec_bcnt  @ falls Rest kleiner: springen
    subs   r4,r1     @ Divisor von Rest subtrahieren
    orrs   r3,r5     @ Quotientenbit setzen
dec_bcnt:
    subs   r7,1      @ Bitzähler dekrementieren
    bne    div_loop  @ falls noch nicht 0: nächste Iteration
