// Realisierung der blinkenden LED auf Basis der CMSIS-Definitionen

#include "stm32g0xx.h"

// ggf. Initialisierung
// (wird nicht benötigt, wenn die die GPIO-Anschlüsse
//  über STM32Cube konfiguriert wurden)
RCC->IOPENR  |= RCC_IOPENR_GPIOAEN;
RCC->IOPENR  |= RCC_IOPENR_GPIOCEN;
GPIOA->MODER &= ~GPIO_MODER_MODE5;
GPIOA->MODER |=  GPIO_MODER_MODE5_0;
GPIOC->MODER &= ~GPIO_MODER_MODE13;

// Kontinuierlich Taster abfragen und ggf. LED blinken lassen
while(1) {
    if (!(GPIOC->IDR & GPIO_IDR_ID13)) {
        GPIOA->ODR ^= GPIO_ODR_OD5;
        for (volatile int i=0; i<1000000; i++);
        }
    }
}
