// Beispiel für einen interruptbasierten ADC-Betrieb
#include "stm32g0xx_hal.h"
extern ADC_HandleTypeDef hadc1;

volatile uint32_t adcVal;

void HAL_ADC_ConvCpltCallback (ADC_HandleTypeDef * hadc)
{
    if (hadc==&hadc1) {
        adcVal = HAL_ADC_GetValue(&hadc1);
    }
}

void app() // wird in main() aufgerufen
{
    HAL_ADCEx_Calibration_Start(&hadc1);
    HAL_ADC_Start_IT(&hadc1);
    while (1);
}
