// Beispiel für die Verwendung des DMA-Multibursts zur Timerporgrammierung
#include "stm32g0xx_hal.h"
extern TIM_HandleTypeDef htim2;

volatile uint32_t DMABuffer[6] = {111,0,33,222,0,66};

void app() // wird in main() aufgerufen
{
    HAL_TIM_DMABurst_MultiWriteStart (&htim2,
            TIM_DMABASE_ARR,   // ab welchem Timerregister?
            TIM_DMA_UPDATE,    // DMA-Request mit Update-Event
            DMABuffer,         // Quelle der Registerwerte
            TIM_DMABURSTLENGTH_3TRANSFERS, // wie viele Register?
            6);                // wie viele Daten?
    HAL_TIM_PWM_Start (&htim2, TIM_CHANNEL_1); // PWM starten
    while (1);
}
