  .thumb            @ Thumb-Code auswaehlen
  .syntax unified   @ Umschalten auf die moderne unified Assembler-Syntax
  .global main      @ Label des Programmbeginns
                    @ muss zu ENTRY-Eintrag im Linkerscript passen

  # Die nachfolgenden Werte erwartet die CPU vor dem eigentlichen Programm
  # im Programmspeicher
  .word _estack     @ Initialer Wert des Stackpointers SP
                    @ (Symbol _estack stammt aus dem Linkerscript)
  .word main        @ Einsprungadresse nach Reset
  .word nmi         @ Einsprungadresse im Fall von
                    @ 'non maskable Interrupts'
  .word hard_fault  @ Einsprungadresse im Fall von 'hard faults'

.thumb_func         @ Nachfolgendes Label wird als Sprungziel verwendet,
                    @ daher muss das LSB gesetzt sein. 
					@ Dafür sorgt die Direktive .thumb_func
nmi:                
.thumb_func         @ Der Einfachheit halber:
hard_fault:         @ Der gleiche Code fuer NMI und Hard Fault
    b endl          @ Wenn das Programm hier ankommt, liegt vermutlich
                    @ ein ernstzunehmender Fehler vor

.thumb_func
main:
	nop           @ Platzhalter fuer anderen Code
endl:
	b endl        @ Am Ende des Programms eine Endlosschleife
