# Multiplikation zweier vorzeichenloser Operanden
# Für eine vorzeichenbehaftete Multiplikation müssen
# die vier lsrs-Befehle durch asrs-Befehle ersetzt werden
# In diesem Beispiel: Operanden und Ergebnis in Registern r0 und r1
    lsrs   r2,r0,16     @ Op1_h nach r2
    uxth   r0,r0        @ Op1_l nach r0
    movs   r4,r0        @ Op1_l auch nach r4
    uxth   r3,r1        @ Op2_l nach r3
    lsrs   r1,r1,16     @ Op2_h nach r1

    muls   r0,r3        @ Op1_l * Op2_l nach r0
    muls   r4,r1        @ Op1_l * Op2_h nach r4
    muls   r1,r2        @ Op1_h * Op2_h nach r1
    muls   r2,r3        @ Op1_h * Op2_l nach r2

    lsls   r3,r2,16     @ (Op1_h * Op2_l)low nach r1[31:16]
    lsrs   r2,r2,16     @ (Op1_h * Op2_l)high nach r2[15:0]
    adds   r0,r3        @ Zwischenergebnis untere 32 Bits
    adcs   r1,r2        @ Zwischenergebnis obere 32 Bits

    lsls   r3,r4,16     @ (Op1_l * Op2_h)low nach r1[31:16]
    lsrs   r4,r4,16     @ (Op1_l * Op2_h)high nach r4[15:0]
    adds   r0,r3        @ Ergebnis untere 32 Bits
    adcs   r1,r4        @ Ergebnis obere 32 Bits
