# Beispiel für Unterprogrammaufrufe
# mit stackbasierter Parameterübergabe
haupt_prg:
    ldr   r0,=42      @ 1. Beispielwert laden
    ldr   r1,=37      @ 2. Beispielwert laden
    push  {r0,r1}     @ Werte auf dem Stack ablegen
    bl    up_add      @ Unterprogramm aufrufen
    pop   {r0,r1}     @ Stackpointer durch pop-Befehle wieder herstellen
                      @ Das Ergebnis steht nun in r0
    ...               @ weitere Befehle zur Verarbeitung des Ergebnisses

up_add:
    push  {r4-r5,lr}  @ Register auf dem Stack sichern
    ldr   r4,[sp,12]  @ 1. Wert vom Stack nach r4 kopieren
    ldr   r5,[sp,16]  @ 2. Wert vom Stack nach r5 kopieren
    add   r4,r5       @ Parameter addieren
    str   r4,[sp,12]  @ Ergebnis auf dem Stack ablegen
    pop   {r4-r5,pc}  @ Register vom Stack holen & Rücksprung
