#include "stm32g0xx_hal.h"

// Initialisierung (kann bei Konfiguration durch STM32Cube entfallen)
GPIO_InitTypeDef GPIO_InitStruct = {0};

__HAL_RCC_GPIOA_CLK_ENABLE();
__HAL_RCC_GPIOC_CLK_ENABLE();

// Konfiguration PA5
GPIO_InitStruct.Pin = GPIO_PIN_5;
GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
GPIO_InitStruct.Pull = GPIO_NOPULL;
HAL_GPIO_Init(GPIOA, &GPIO_InitStruct);

// Konfiguration PC13 (PC13 ist Input, ansonsten identisch zu PA5)
GPIO_InitStruct.Pin = GPIO_PIN_13;
GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
HAL_GPIO_Init(GPIOC, &GPIO_InitStruct);

// Kontinuierlich Taster abfragen und ggf. LED blinken lassen
while(1) {
    if (!HAL_GPIO_ReadPin(GPIOC, GPIO_PIN_13)) {
        HAL_GPIO_TogglePin(GPIOA, GPIO_PIN_5);
        for (volatile int i=0; i<1000000; i++);
    }
}
