// ADC mit Polling
#include "stm32g0xx_hal.h"
extern ADC_HandleTypeDef hadc1;

uint32_t adcVal;

void app() // wird in main() aufgerufen
{
    // Kalibrierung
    HAL_ADCEx_Calibration_Start(&hadc1);

    while (1) {
        // Start der Umsetzung
        HAL_ADC_Start (&hadc1);
        // mit Polling warten
        HAL_ADC_PollForConversion(&hadc1,1000);
        // ADC-Wert abholen
        adcVal =HAL_ADC_GetValue(&hadc1);
    }
}
