int _write(int file, char *ptr, int len)
{
    for (int cnt=0; cnt<len; cnt++) {
        USART_Transmit (USART2, (uint8_t)*ptr++);
    }
    return len;
}


int _read(int file, char *ptr, int len)
{
    uint8_t ch=0;
    int cnt=0;

    do {
        ch = USART_Receive(USART2);
        *ptr = (char)ch;
        ptr++;
        cnt++;
    } while (ch != '\n' && cnt<len);

    // Die Schleife wird verlassen, falls das Zeichen \n empfangen wurde
    // oder der Puffer voll ist. \n entspricht dem Zeichen LineFeed (LF)
    // Das Terminal muss ggf. so eingestellt werden, dass am Zeilenende
    // LF ausgeben wird.

    return cnt;
}
