// Ein Zeichen mit LL-Bibliothek empfangen
uint8_t USART_Receive(USART_TypeDef *USART)
{
    LL_USART_ClearFlag_PE(USART);
    LL_USART_ClearFlag_FE(USART);
    LL_USART_ClearFlag_NE(USART);
    LL_USART_ClearFlag_ORE(USART);

    while(!(LL_USART_IsActiveFlag_RXNE_RXFNE(USART)));
    return LL_USART_ReceiveData8(USART);
}

// Ein Zeichen mit LL-Bibliothek senden
uint8_t USART_Transmit(USART_TypeDef *USART, uint8_t data)
{
    while(!(LL_USART_IsActiveFlag_TXE_TXFNF(USART)));
    LL_USART_TransmitData8(USART,data);
    return 1;
}
